<script>
    import ComponentOverview from '../../Components/ComponentOverview.svelte';
    import componentsData from '../../data/componentsData.json';
</script>

<!-- header -->
<h1 class="text-xl font-bold text-slate-900">Component Library</h1>
<p>
    The following components were created for the TradeHands Explorer and related products.
    Selecting a component below will take you to a showcase page where the components are rendered
    with mock data to illustrate their design and functionality.
</p>

<div class="mt-10 mb-10 divide-y divide-slate-100 border-t border-slate-100 lg:mt-12">
    <ul
        class="mt-10 col-span-3 grid grid-cols-1 gap-y-6 gap-x-6 sm:grid-cols-2 sm:gap-y-10 md:grid-cols-3 xl:gap-x-8"
    >
        {#each componentsData as component, index}
            <li>
                <ComponentOverview component_summary={component} />
            </li>
        {/each}
    </ul>
</div>

<style>
    h1 {
        font-size: 2.5em;
        margin-bottom: 0.1em;
    }
    h2 {
        font-size: 1.5em;
    }
    .testcase {
        background-color: LightGray;
        padding-left: 1em;
        padding-top: 0.5em;
        padding-bottom: 0.5em;
        margin-top: 1em;
        margin-bottom: 1em;
    }
</style>
